package client

import (
	crc "git.loafle.net/commons_go/rpc/client"
	crr "git.loafle.net/commons_go/rpc/registry"
	oopcc "git.loafle.net/overflow/overflow_probe_container/client"
)

func New(addr string, rpcInvoker crr.RPCInvoker) crc.Client {
	ch := oopcc.NewClientHandler(rpcInvoker)
	socketHandler := NewSocketHandler()

	c := oopcc.New(addr, ch, socketHandler)

	return c
}
